## ros-one-turtle-tf 0.2.4-0noble.20251023.1002

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(turtle_tf)

## Find dependencies
find_package(catkin REQUIRED COMPONENTS geometry_msgs roscpp rospy std_msgs tf turtlesim)

## Setup Include Directories
include_directories(include ${catkin_INCLUDE_DIRS})

## Tell catkin what to export
catkin_package(CATKIN_DEPENDS geometry_msgs roscpp rospy std_msgs tf turtlesim)

## C++ examples
add_executable(turtle_tf_broadcaster src/turtle_tf_broadcaster.cpp)
target_link_libraries(turtle_tf_broadcaster ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(turtle_tf_broadcaster ${catkin_EXPORTED_TARGETS})
endif()

add_executable(turtle_tf_listener src/turtle_tf_listener.cpp)
target_link_libraries(turtle_tf_listener ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(turtle_tf_listener ${catkin_EXPORTED_TARGETS})
endif()

add_executable(turtle_tf_message_filter src/turtle_tf_message_filter.cpp)
target_link_libraries(turtle_tf_message_filter ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(turtle_tf_message_filter ${catkin_EXPORTED_TARGETS})
endif()

add_executable(turtle_tf_listener_debug src/turtle_tf_listener_debug.cpp)
target_link_libraries(turtle_tf_listener_debug ${catkin_LIBRARIES})


## Install Python Examples
install(PROGRAMS
  nodes/dynamic_tf_broadcaster.py
  nodes/fixed_tf_broadcaster.py
  nodes/turtle_tf_broadcaster.py
  nodes/turtle_tf_listener.py
  nodes/turtle_tf_listener_wait.py
  nodes/turtle_tf_message_broadcaster.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Install C++ Examples
install(TARGETS turtle_tf_broadcaster turtle_tf_listener turtle_tf_message_filter turtle_tf_listener_debug
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Install Other Resources
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-one-turtle-tf 0.2.4-0jammy.20251023.0948

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0jammy.20251023.0948) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 09:48:24 +0000

ros-one-turtle-tf (0.2.4-0jammy) jammy; urgency=high

  * Do away with boost::bind (#86 <https://github.com/ros/geometry_tutorials/issues/86>)
  * Contributors: Michael Görner

 -- William Woodall <william@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtle-tf (0.2.3-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#29 <https://github.com/ros/geometry_tutorials//issues/29>)
  * Merge pull request #26 <https://github.com/ros/geometry_tutorials//issues/26> from jwhendy/tutorial-node-name-fix
  * updated node names in all tf and tf2 nodes/.py files to match filenames for simplicity
  * Merge pull request #22 <https://github.com/ros/geometry_tutorials//issues/22> from 23pointsNorth/patch-1
  * Clean up code
  * Merge pull request #20 <https://github.com/ros/geometry_tutorials//issues/20> from romainreignier/indigo-devel
  * Add install rule for turtle_tf_message_filter
  * Contributors: Alejandro Hernández Cordero, Daniel Angelov, John Henderson, Romain Reignier, Tully Foote

 -- William Woodall <william@osrfoundation.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-turtle-tf (0.2.2-0jammy) jammy; urgency=high

  * remove old roslib invocations
  * Contributors: Tully Foote

 -- William Woodall <william@osrfoundation.org>  Tue, 03 Mar 2015 00:00:00 -0000

ros-one-turtle-tf (0.2.1-0jammy) jammy; urgency=high

  * continuing on error instead of executing the rest of the block. Fixes #13 <https://github.com/ros/geometry_tutorials/issues/13>
  * merging conflicting pull requests
  * catch tf.ExtrapolationException
    see http://answers.ros.org/question/12024/tftutorials-demo-problem-ros-electric/, this still happens in hydro
  * Fixes for "Using sensor messages with tf" tutorial.
  * add start_debug_demo.launch, that is introduced in http://wiki.ros.org/tf/Tutorials/Debugging%20tf%20problems
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
    The API shows the order is:
    void    setRPY (const tfScalar &roll, const tfScalar &pitch, const tfScalar &yaw)
    Line 14 should read:
    q.setRPY(0, 0, msg->theta);
    This fault breaks this tutorial:
    http://wiki.ros.org/tf/Tutorials/Writing%20a%20tf%20broadcaster%20%28C%2B%2B%29
    In a way that doesn't show up until the subsequent tutorial, where the
    follower doesn't follow. The fix to line 14 proposed above fixes the
    subsequent tutorial.
    The problem is discussed in this thread:
    http://answers.ros.org/question/45884/turtle-tf-tutorial-fails-to-work/?answer=47845#post-id-47845
    and an incorrect fix was applied to the wiki. The note in the wiki under
    the code, which says the code should read:
    transform.setRotation( tf::Quaternion(0, 0, msg->theta) );
    is wrong - it should say transform.setRPY.
  * Added queue size for Publisher to avoid warning.
  * add queue_size argument to rospy.Publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size argument to rospy publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Adding queue_size argument to publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Contributors: Denis Štogl, K.mura, Kei Okada, Paul Bouchier, Tully Foote, spourmehr

 -- William Woodall <william@osrfoundation.org>  Wed, 17 Dec 2014 00:00:00 -0000

ros-one-turtle-tf (0.2.0-0jammy) jammy; urgency=high

  * Fixed catkinized
  * Updated dependency on turtlesim, turtlesim switched to using geometry_msgs/Twist from turtlesim/Velocity msgs

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 14:14:25 +0000

=== debian/control ===
Source: ros-one-turtle-tf
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-turtlesim
Homepage: http://ros.org/wiki/turtle_tf
Standards-Version: 3.9.2

Package: ros-one-turtle-tf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-turtlesim
Description: turtle_tf demonstrates how to write a tf broadcaster and listener with the turtlesim.
 The tutle_tf_listener commands turtle2 to follow turtle1 around as you drive turtle1 using the keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-turtle-tf//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-turtle-tf 0.2.4-0jammy.20251207.2228

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0jammy.20251207.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sun, 07 Dec 2025 22:28:46 +0000

## ros-one-turtle-tf 0.2.4-0jammy.20260221.2123

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0jammy.20260221.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sat, 21 Feb 2026 21:23:03 +0000

## ros-one-turtle-tf 0.2.4-0noble.20251023.1002

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0noble.20251023.1002) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 10:02:16 +0000

ros-one-turtle-tf (0.2.4-0noble) noble; urgency=high

  * Do away with boost::bind (#86 <https://github.com/ros/geometry_tutorials/issues/86>)
  * Contributors: Michael Görner

 -- William Woodall <william@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-turtle-tf (0.2.3-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#29 <https://github.com/ros/geometry_tutorials//issues/29>)
  * Merge pull request #26 <https://github.com/ros/geometry_tutorials//issues/26> from jwhendy/tutorial-node-name-fix
  * updated node names in all tf and tf2 nodes/.py files to match filenames for simplicity
  * Merge pull request #22 <https://github.com/ros/geometry_tutorials//issues/22> from 23pointsNorth/patch-1
  * Clean up code
  * Merge pull request #20 <https://github.com/ros/geometry_tutorials//issues/20> from romainreignier/indigo-devel
  * Add install rule for turtle_tf_message_filter
  * Contributors: Alejandro Hernández Cordero, Daniel Angelov, John Henderson, Romain Reignier, Tully Foote

 -- William Woodall <william@osrfoundation.org>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-turtle-tf (0.2.2-0noble) noble; urgency=high

  * remove old roslib invocations
  * Contributors: Tully Foote

 -- William Woodall <william@osrfoundation.org>  Tue, 03 Mar 2015 00:00:00 -0000

ros-one-turtle-tf (0.2.1-0noble) noble; urgency=high

  * continuing on error instead of executing the rest of the block. Fixes #13 <https://github.com/ros/geometry_tutorials/issues/13>
  * merging conflicting pull requests
  * catch tf.ExtrapolationException
    see http://answers.ros.org/question/12024/tftutorials-demo-problem-ros-electric/, this still happens in hydro
  * Fixes for "Using sensor messages with tf" tutorial.
  * add start_debug_demo.launch, that is introduced in http://wiki.ros.org/tf/Tutorials/Debugging%20tf%20problems
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
  * Fix wrong order of arguments to q.setRPY in commit 82964f6.
    The API shows the order is:
    void    setRPY (const tfScalar &roll, const tfScalar &pitch, const tfScalar &yaw)
    Line 14 should read:
    q.setRPY(0, 0, msg->theta);
    This fault breaks this tutorial:
    http://wiki.ros.org/tf/Tutorials/Writing%20a%20tf%20broadcaster%20%28C%2B%2B%29
    In a way that doesn't show up until the subsequent tutorial, where the
    follower doesn't follow. The fix to line 14 proposed above fixes the
    subsequent tutorial.
    The problem is discussed in this thread:
    http://answers.ros.org/question/45884/turtle-tf-tutorial-fails-to-work/?answer=47845#post-id-47845
    and an incorrect fix was applied to the wiki. The note in the wiki under
    the code, which says the code should read:
    transform.setRotation( tf::Quaternion(0, 0, msg->theta) );
    is wrong - it should say transform.setRPY.
  * Added queue size for Publisher to avoid warning.
  * add queue_size argument to rospy.Publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size argument to rospy publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * add queue_size
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Adding queue_size argument to publisher
    ros/ros_comm#169 <https://github.com/ros/ros_comm/issues/169>
  * Contributors: Denis Štogl, K.mura, Kei Okada, Paul Bouchier, Tully Foote, spourmehr

 -- William Woodall <william@osrfoundation.org>  Wed, 17 Dec 2014 00:00:00 -0000

ros-one-turtle-tf (0.2.0-0noble) noble; urgency=high

  * Fixed catkinized
  * Updated dependency on turtlesim, turtlesim switched to using geometry_msgs/Twist from turtlesim/Velocity msgs

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 14:14:25 +0000

## ros-one-turtle-tf 0.2.4-0noble.20251208.0923

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0noble.20251208.0923) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Mon, 08 Dec 2025 09:23:57 +0000

## ros-one-turtle-tf 0.2.4-0noble.20260221.2209

=== debian/changelog ===
ros-one-turtle-tf (0.2.4-0noble.20260221.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sat, 21 Feb 2026 22:09:29 +0000
